Bug 122426 - FILEOPEN: DOC: Page has header when it shouldn't have it (inconsistent even in MSWord 2003)
Summary: FILEOPEN: DOC: Page has header when it shouldn't have it (inconsistent even i...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOC-Header-Footer
  Show dependency treegraph
 
Reported: 2019-01-02 15:45 UTC by Xisco Faulí
Modified: 2022-07-26 03:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
comparison MSO 2010 and LibreOffice 6.3 Master (29.67 KB, image/png)
2019-01-02 15:45 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-02 15:45:19 UTC
Created attachment 147944 [details]
comparison MSO 2010 and LibreOffice 6.3 Master

Steps to reproduce:
1. Open attachment 102373 [details] from bug 77844
2. Scroll to page 3

-> it has header. it shouldn't. See screenshot attached

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 49c61f660d05ab13140d4349a0b3f6efba742022
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-01-02 15:46:21 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a9022502e0b0e2b40aa55aeee375467fc0ab75e6

author	heiko tietze <tietze.heiko@gmail.com>	2018-11-28 10:51:04 +0100
committer	Heiko Tietze <tietze.heiko@gmail.com>	2018-11-28 18:49:48 +0100
commit a9022502e0b0e2b40aa55aeee375467fc0ab75e6 (patch)
tree 62e9b61847878e34ae8a217b758c2560f8ee62d1
parent 3bb64c0b26962f3c62dc82353b8ca13479c409be (diff)
tdf#121369 - Header and Footer parent styles

Bisected with: bibisect-linux64-6.3

Adding Cc: to heiko tietze
Comment 2 Heiko Tietze 2019-01-03 11:39:10 UTC
(In reply to Xisco Faulí from comment #0)
> -> it has header. it shouldn't. See screenshot attached

Can you please elaborate the issue a bit. The document says "This is the second page of section 2.  The double red line should be on this page too, though its header is blank, because of headers being enabled in this section by the presence of the first-page header."

(What I see is that Format > Page > Header [ ] enabled is off but the headers are on.)
Comment 3 QA Administrators 2019-07-08 02:49:13 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2019-07-08 07:38:36 UTC
Still reproducible in

Version: 6.4.0.0.alpha0+
Build ID: d62f6b7d40284b2e41831376e5388711ab6250f3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Heiko, open the document in MSO and in LibreOffice and compare
Comment 5 Justin L 2020-04-23 17:29:31 UTC
There is something weird going on here. When I open in Word 2003, on the last page there is no red line for the even header. HOWEVER, if I view the headers and footers, then I DO see the red line. And if I make a change to the even header (like add a CR), then the red line appears in the normal document view.
Comment 6 QA Administrators 2022-07-26 03:28:55 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug